/*
 *  cache-file.h
 *  mod_musicindex
 *
 *  $Id: cache-file.h 504 2005-11-16 13:48:43Z boudinr $
 *
 *  Created by Thibaut VARENE on Wed Feb 23 2005.
 *  Copyright (c) 2005 Thibaut VARENE
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */

#ifndef CACHE_FILE_H
#define CACHE_FILE_H

#ifdef ENABLE_CACHE_FILE

mu_ent *file_make_cache_entry(request_rec *r, apr_pool_t *pool, FILE *const in,
	mu_ent *const head, const mu_config *const conf, mu_ent_names *const names);

short file_cache_check_dir(request_rec *r, const mu_config *const conf, const char *const path);

short cache_write_file(request_rec *r, const mu_ent *const p,
	const mu_config *const conf, const mu_ent_names *const names);

#else

#define file_cache_check_dir(r, conf, path)
#define cache_write_file(r, p, conf, names)

#endif

#endif /* CACHE_FILE_H */
